Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

HP Printer Buffer Overflow Vulnerability (HPSBPI03749, Printing-Shellz)

Information

Severity

Severity

High

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

7.5

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

1 year ago

Modified

Modified

11 months ago

Summary

Multiple HP printers are prone to a buffer overflow vulnerability dubbed 'Printing-Shellz'.

Insight

Insight

Certain HP LaserJet, HP LaserJet Managed, HP PageWide, and HP PageWide Managed products may be vulnerable to potential buffer overflow.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

See the referenced vendor advisory for a solution.

Common Vulnerabilities and Exposures (CVE)